Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Messages
Pay Day
Payments
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
get

/goals/{goal_id}/periods

An API version of 2.5 or above must be used.Get a list of all Goal Periods for the given Goal.

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Responses

1 Example
Schema
array[object]
$schema: http://json-schema.org/draft-04/schema#
id
integer
4 validations + required
goal_id
integer
4 validations + required
start_date
string

Start date of the period.

type: string format: ‘yyyy-MM-dd’ description: Start date of the period.

1 validation + required
end_date
string

End date of the period.

1 validation + required
target_amount
string

Target amount of the period. This is either calculated when the goal is created, or assigned from the period_amount of the goal.

1 validation + required
current_amount
string

The current progress amount the period has. Depending on the tracking_type, this is the sum of all transactions for the period.

1 validation + required
required_amount
string

A calculated field that gives you the required amount you would need to reach in order to get your target_amount.

1 validation + required
tracking_status
string

Tracking Status of the Goal

  • above - Current saved amount is above the target amount
  • equal - Current saved amount is equal to the target amount
  • below - Current saved amount is below the target amount
1 validation + required
index
integer

The position of the period in the goal the first will be 0.

4 validations

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
goal_id
$$.env
1 variable not set
Authorization